UPCAWriter (ZXing 3.4.0 API)

com.google.zxing.oned

## Class UPCAWriter

- java.lang.Object
- - com.google.zxing.oned.UPCAWriter

- All Implemented Interfaces:
    Writer

      public final class UPCAWriter
      extends Object
      implements Writer

  This object renders a UPC-A code as a `BitMatrix`.
  Author:
    qwandor@google.com (Andrew Walbran)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UPCAWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BitMatrix` | `encode(String contents, BarcodeFormat format, int width, int height)` Encode a barcode using the default settings.
    `BitMatrix` | `encode(String contents, BarcodeFormat format, int width, int height, Map<EncodeHintType,?> hints)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UPCAWriter

          public UPCAWriter()

  - ### Method Detail

    - #### encode

          public BitMatrix encode(String contents,
                                  BarcodeFormat format,
                                  int width,
                                  int height)
                           throws WriterException

      Description copied from interface: `Writer`
      Encode a barcode using the default settings.
      Specified by:
        `encode` in interface `Writer`
      Parameters:
        `contents` - The contents to encode in the barcode
        `format` - The barcode format to generate
        `width` - The preferred width in pixels
        `height` - The preferred height in pixels
      Returns:
        `BitMatrix` representing encoded barcode image
      Throws:
        `WriterException` - if contents cannot be encoded legally in a format

    - #### encode

          public BitMatrix encode(String contents,
                                  BarcodeFormat format,
                                  int width,
                                  int height,
                                  Map<EncodeHintType,?> hints)
                           throws WriterException

      Specified by:
        `encode` in interface `Writer`
      Parameters:
        `contents` - The contents to encode in the barcode
        `format` - The barcode format to generate
        `width` - The preferred width in pixels
        `height` - The preferred height in pixels
        `hints` - Additional parameters to supply to the encoder
      Returns:
        `BitMatrix` representing encoded barcode image
      Throws:
        `WriterException` - if contents cannot be encoded legally in a format

Copyright © 2007–2019. All rights reserved.